From 3b6b57200f089c75b7434d61f9037f622b99c115 Mon Sep 17 00:00:00 2001
From: Phil Elwell <phil@raspberrypi.com>
Date: Tue, 19 Apr 2022 19:57:29 +0100
Subject: [PATCH] ARM: dts: Add i2c0mux node to Model B rev 1

The lack of an i2c0mux label prevents the i2c-rtc overlay from
being applied.

See: https://github.com/raspberrypi/linux/issues/4999

Signed-off-by: Phil Elwell <phil@raspberrypi.com>
---
 arch/arm/boot/dts/bcm2708-rpi-b-rev1.dts | 4 ++++
 1 file changed, 4 insertions(+)

--- a/arch/arm/boot/dts/bcm2708-rpi-b-rev1.dts
+++ b/arch/arm/boot/dts/bcm2708-rpi-b-rev1.dts
@@ -154,6 +154,10 @@ i2c_csi_dsi: &i2c1 {
 		i2c0 = &i2c0;
 	};
 
+	/* Provide an i2c0mux label to avoid undefined symbols in overlays */
+	i2c0mux: i2c0mux {
+	};
+
 	__overrides__ {
 		i2c0 = <&i2c0>, "status";
 	};
